Subject: Format of NEWS (navigating in it)

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 22 Apr 2015 08:14:31 +0200

Hi!

As I was not running the latest version of Emacs, I started to read the NEWS file backwards (maybe life is just boring otherwise), beginning at the Emacs version I had before.
(while doing that the ghost of RMS appeared and asked: "Why don't you run the latest version when it's free?" ;-)
OK, serious again: I realized that when reading backwards it's rather hard to find out when you are done, because even that it's outline mode there is NOT ONE section per Emacs release (here 24.4) (with sub-sections), but multiple. To be concrete, the lop-level headings (when reading backwards) are:
* Changes in Emacs 24.4 on Non-Free Operating Systems
* Lisp Changes in Emacs 24.4
* Incompatible Lisp Changes in Emacs 24.4
* New Modes and Packages in Emacs 24.4
* Changes in Specialized Modes and Packages in Emacs 24.4
* Editing Changes in Emacs 24.4
* Changes in Emacs 24.4
(here I thought I'm done)
* Startup Changes in Emacs 24.4
* Installation Changes in Emacs 24.4

I know it's all a long tradition, but I'd prefer to have one major section per release. While re-discovering outline-mode, I also realized that C-c C-f [<outline-forward-same-level>] (and C-c C-b) have to be used twice to get to the next heading if an ASCII FF (form feed) (plus newline) character preceeds the heading.

Is this the way it should be?

Regards,
Ulrich